<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Manage Company</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-4">
                  <input type="text" [(ngModel)]="code" (keydown.enter)="getCompanies(item.value)" name="code" autocomplete="off"
                     #item class="form-control input-sm-3" placeholder="Search for Company" />
                </div>
                <div class="col-sm-8 text-right">
                  <button type="get" (click)="getCompanies(item.value);" class="btn btn-sm btn-primary blue"> <i aria-hidden="true"
                      class="fa fa-search"></i>
                    Search</button>
                  <button class="btn btn-sm btn-primary green" (click)="refreshCompany()"><i aria-hidden="true" class="fa fa-refresh"></i>
                    Refresh</button>
                  <button class="btn btn-sm btn-primary red" (click)="reset()"><i aria-hidden="true" class="fa fa-eraser"></i> Reset
                    filters</button>
                  <ng-container *ngIf="aclAdd">
                    <button type="submit" class="btn btn-sm btn-primary blue"
                      [routerLink]="['/admin/administration/companies/add']">Add new
                      record</button>
                  </ng-container>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive zoom">
                  <thead>
                    <tr>
                      <th scope="col">Unique Company id</th>
                      <th scope="col">Company Name </th>
                      <th scope="col">Company Logo </th>
                      <th scope="col">Descrption </th>
                      <th scope="col">Payment Types </th>
                      <th scope="col">Partners </th>
                      <th scope="col">Account Details </th>
                      <th scope="col">Commission slab </th>
                      <th scope="col">Created at</th>
                      <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchSubmit">
                      <img alt="loader" class="loader-img" src="assets/img/loader.gif" />
                    </span>
                    <tr *ngFor="let code of CompanyData">
                      <td>{{code.unique_company_id }}</td>
                      <td>{{code.company_name }}</td>
                      <td><img alt="my taxi" class="vehicle-img "
                          src="{{code.company_image ? apiUrl + code.company_image+imageext: '../../assets/img/noimage.jpg'}}" />
                      </td>
                      <td>{{code.description }}</td>
                      <td *ngIf='code.payment_types.length>0'>
                        <span *ngFor="let payment of code.payment_types">
                          <span *ngIf='payment==1'>CASH,</span>
                          <span *ngIf='payment==2'>CREDIT,</span>
                          <span *ngIf='payment==3'>ACCOUNT,</span>
                          <span *ngIf='payment==4'>ONLINE,</span>
                        </span>
                      </td>
                      <td *ngIf='code.payment_types.length==0'><span></span>
                        NILL
                      </td>
                      <td *ngIf='code.partners.length>0'>
                        <span *ngFor="let partner of code.partners">
                          <span>{{partner.name}},</span>
                        </span>
                      </td>
                      <td *ngIf='code.partners.length==0'><span></span>
                        NILL
                      </td>
                      <td *ngIf='code.account_details'>
                        <span>Account : {{code.account_details}}</span><br>
                        <span>IBAN : {{code.iban?code.iban:'NILL'}}</span>
                      </td>
                      <td *ngIf='!code.account_details'>
                        <span>NILL</span>
                      </td>
                      <td *ngIf='code.commision'>
                        <span>{{code.commision}}</span><br>
                      </td>
                      <td *ngIf='!code.commision'>
                        <span>NILL</span>
                      </td>
                      <td>{{code.created_at}}</td>
                      <td *ngIf="aclEdit || aclDelete">
                        <span *ngIf="aclEdit" matTooltip="Edit">
                          <a [routerLink]="['/admin/administration/companies/edit', code._id]">
                            <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                          </a>&nbsp;&nbsp;&nbsp;
                        </span>
                        <span *ngIf="aclDelete" matTooltip="Delete">
                          <a (click)="openDialog(code._id)">
                            <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                          </a>
                        </span>
                      </td>
                    </tr>
                  </tbody>
                </table>
                <br>
                <div class="container-fluid" *ngIf="CompanyLength > 0">
                  <div class="row col-md-12 text-center">
                    <div class="dataTables_info1">
                      <ngb-pagination [collectionSize]="CompanyLength" (pageChange)="pagingAgent($event)" [page]="1"
                        [pageSize]="itemsPerPage" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                      </ngb-pagination>

                    </div>
                  </div>
                </div>
                <div class="container-fluid" *ngIf="CompanyLength==0">
                  <div class="row">
                    <div class="dataTables_info1">
                      <div class="col-md-12 text-center form-group">
                        No records found
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>